Retrieve a Webhook Endpoint

Retrieves the webhook endpoint with the given ID.

You can also review webhook endpoint settings, subscribed events, and status in the Merchant Dashboard.

Related guide: Webhooks

Path Parameters
  • id
    Type: string
    max length:  
    5000
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/webhooks/{id}
curl 'https://api.paypercut.io/v1/webhooks/{id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "id": "string",
  "created": "2026-07-08T08:02:27.743Z",
  "name": "string",
  "url": "https://example.com/webhooks/paypercut",
  "enabled_events": [
    "checkout_session.completed",
    "payment_intent.authorized",
    "payment_intent.captured",
    "payment.succeeded",
    "payment.captured",
    "invoice.paid",
    "invoice.payment_failed"
  ],
  "status": "string",
  "secret": "string"
}